First time here? Check out the FAQ!
x

Which version of iSkysoft Video Converter works with OS 10.6.8?

0 votes
asked by
edited by

Which version of iSkysoft Video Converter works with OS 10.6.8?

1 Answer

0 votes
answered by (329k points)
edited by

Unfortunately, the version available for downloading from the official website of iSkysoft Video Converter requires the following OSX: Mac OS X 10.7 10.8, 10.9 Mavericks, 10.10 Yosemite and 10.11 El Capitan.

As you can see the minimum required version for iSkysoft Video Converter to work is OSX 10.7 which is Lion. Access the application's page at Mac Informer and choose another version from the list. That might be compatible with OS X 10.6.8 Snow Leopard.

Your answer

Your name to display (optional):
Privacy: Your email address will only be used for sending these notifications.
Anti-spam verification:
To avoid this verification in future, please log in or register
...